OcapAppAttributes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.application
Interface OcapAppAttributes

All Superinterfaces:
  AppAttributes

    public interface OcapAppAttributes

extends AppAttributes

This interface represents various information about an application registered in the AppsDatabase. This interface extends the org.dvb.application.AppAttributes in the points of following:
Defining the OCAP Application types.
Adding the getControlFlag method to get the application_control_code flag as signaled in an AIT or an XAIT.

For applications which are signaled in the AIT or the XAIT, the mapping between the values returned by methods in this interface and the fields and descriptors of the AIT or the XAIT shall be as specified in this specification. Instance of the class implementing this interface are immutable.

org.dvb.application.AppsDatabase MUST return an instance of OcapAppAttributes by the getAppAttributes methods.

Field Summary
`static int` | `AUTOSTART` This represents the application control code "AUTOSTART" defined for the application_control_code in an AIT or a XAIT.
`static int` | `DESTROY` This represents the application control code "DESTROY" defined for the application_control_code in an AIT or a XAIT.
`static int` | `KILL` This represents the application control code "KILL" defined for the application_control_code in an AIT or a XAIT.
`static int` | `OCAP_J` The OCAP registered value for all OCAP-J applications.
`static int` | `PREFETCH` This represents the application control code "PREFETCH" defined for the application_control_code in an AIT.
`static int` | `PRESENT` This represents the application control code "PRESENT" defined for the application_control_code in an AIT or a XAIT.
`static int` | `REMOTE` This represents the application control code "REMOTE" defined for the application_control_code in an AIT.

Fields inherited from interface org.dvb.application.AppAttributes
`DVB_HTML_application, DVB_J_application`

Method Summary
`int` | `getApplicationControlCode()` This method returns the application_control_code of the application represented by this interface.
`int` | `getStoragePriority()` This method returns the currently set storage priority for the application.
`boolean` | `hasNewVersion()` Indicates that a new version of the application is available and will replace the currently launched version when a new lifecycle for this application starts.
`boolean` | `isNewVersionStored()` Indicates that the new version of the application indicated by `hasNewVersion()==true` has been stored.

Methods inherited from interface org.dvb.application.AppAttributes
`getAppIcon, getIdentifier, getIsServiceBound, getName, getName, getNames, getPriority, getProfiles, getProperty, getServiceLocator, getType, getVersions, isStartable, isVisible`

Field Detail

### OCAP_J

    static final int OCAP_J

  The OCAP registered value for all OCAP-J applications.

  See Also:
    Constant Field Values

### AUTOSTART

    static final int AUTOSTART

  This represents the application control code "AUTOSTART" defined for the application_control_code in an AIT or a XAIT.

  See Also:
    Constant Field Values

### PRESENT

    static final int PRESENT

  This represents the application control code "PRESENT" defined for the application_control_code in an AIT or a XAIT.

  See Also:
    Constant Field Values

### DESTROY

    static final int DESTROY

  This represents the application control code "DESTROY" defined for the application_control_code in an AIT or a XAIT.

  See Also:
    Constant Field Values

### KILL

    static final int KILL

  This represents the application control code "KILL" defined for the application_control_code in an AIT or a XAIT.

  See Also:
    Constant Field Values

### PREFETCH

    static final int PREFETCH

  This represents the application control code "PREFETCH" defined for the application_control_code in an AIT.

  See Also:
    Constant Field Values

### REMOTE

    static final int REMOTE

  This represents the application control code "REMOTE" defined for the application_control_code in an AIT.

  See Also:
    Constant Field Values

Method Detail

### getApplicationControlCode

    int getApplicationControlCode()

  This method returns the application_control_code of the application represented by this interface.

  Returns:
    int The application_control_code of the application represented by this interface.

### getStoragePriority

    int getStoragePriority()

  This method returns the currently set storage priority for the application.

  Returns:
    int The storage priority for a currently stored application or zero if the application is not stored.

### hasNewVersion

    boolean hasNewVersion()

  Indicates that a new version of the application is available and will replace the currently launched version when a new lifecycle for this application starts.

  Returns:
    True, if the application is currently launched but a new version is signaled. False, if the application is not currently launched or if the currently signaled version matches the currently launched version.

### isNewVersionStored

    boolean isNewVersionStored()

  Indicates that the new version of the application indicated by `hasNewVersion()==true` has been stored.

  This method SHALL return `true` if `getStoragePriority()` would return non-zero for the newer version of the application after it replaces the currently launched version. This method SHALL return `false` if `hasNewVersion()` would return `false`.

  Returns:
    `true` if a newer version of the application than is currently launched has been stored; `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD